com.dlsc.flexgantt.model.scheduling

## Class AbstractResolution<T extends IGranularity<?>>

- java.lang.Object
- - com.dlsc.flexgantt.model.scheduling.AbstractResolution<T>

- Type Parameters:
    `T` - the granularity type
  All Implemented Interfaces:
    IResolution<T>
  Direct Known Subclasses:
    DefaultTimeGranularityFixBufferResolution

      public abstract class AbstractResolution<T extends IGranularity<?>>
      extends Object
      implements IResolution<T>

  An abstract superclass for resolutions. A resolution is used to fix a broken constraint.
  Since:
    2.1
  Author:
    Dirk Lemmermann

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractResolution(String name)` Constructs a new resolution with the given name.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getResolutionName()` Returns the name of the resolution.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.dlsc.flexgantt.model.scheduling.IResolution

      `resolve`

- - ### Constructor Detail

    - #### AbstractResolution

          protected AbstractResolution(String name)

      Constructs a new resolution with the given name.
      Parameters:
        `name` - the name that will be shown to the user
      Since:
        2.1

  - ### Method Detail

    - #### getResolutionName

          public String getResolutionName()

      Description copied from interface: `IResolution`
      Returns the name of the resolution.
      Specified by:
        `getResolutionName` in interface `IResolution<T extends IGranularity<?>>`
      Returns:
        the resolution name

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.